diff -ruPN c6accel_1_01_00_03/soc/app/omap3530/loadmodules_omap3530_c6accel.sh c6accel_1_01_00_03/soc/app/omap3530/loadmodules_omap3530_c6accel.sh
--- c6accel_1_01_00_03/soc/app/omap3530/loadmodules_omap3530_c6accel.sh	2012-01-25 10:26:07.866314000 +0100
+++ c6accel_1_01_00_03/soc/app/omap3530/loadmodules_omap3530_c6accel.sh	2012-01-25 10:33:27.100546000 +0100
@@ -14,8 +14,8 @@
 # remove previously loaded cmem to ensure that it configured to use our pool configuration
 rmmod cmemk 2>/dev/null
 
-# Allocate 15MB for CMEM
-modprobe cmemk phys_start=0x86300000 phys_end=0x87200000 pools=20x4096 allowOverlap=1
+# Allocate 16MB for CMEM
+modprobe cmemk phys_start=0x9E000000 phys_end=0x9F000000 pools=20x4096 allowOverlap=1
 modprobe dsplinkk
 modprobe lpm_omap3530
 
diff -ruPN c6accel_1_01_00_03/soc/packages/ti/c6accel_unitservers/omap3530/server.tcf c6accel_1_01_00_03/soc/packages/ti/c6accel_unitservers/omap3530/server.tcf
--- c6accel_1_01_00_03/soc/packages/ti/c6accel_unitservers/omap3530/server.tcf	2010-07-26 22:52:56.000000000 +0200
+++ c6accel_1_01_00_03/soc/packages/ti/c6accel_unitservers/omap3530/server.tcf	2012-01-25 10:30:46.458635000 +0100
@@ -52,28 +52,28 @@
 {
     comment:    "DDRALGHEAP: off-chip memory for dynamic algmem allocation",
     name:       "DDRALGHEAP",
-    base:       0x87400000,
-    len:        0x00900000,
+    base:       0x9F100000,
+    len:        0x00b00000,
     space:      "code/data"
 },
 {
     comment:    "DDR2: off-chip memory for application code and data",
     name:       "DDR2",
-    base:       0x87D00000,
-    len:        0x00300000,
+    base:       0x9FC00000,
+    len:        0x00400000,
     space:      "code/data"
 },
 {
     comment:    "DSPLINK: off-chip memory reserved for DSPLINK code and data",
     name:       "DSPLINKMEM",
-    base:       0x87301000,
+    base:       0x9F001000,
     len:        0x000FF000,
     space:      "code/data"
 },
 {
     comment:    "RESET_VECTOR: off-chip memory for the reset vector table",
     name:       "RESET_VECTOR",
-    base:       0x87300000,
+    base:       0x9F000000,
     len:        0x00001000,
     space:      "code/data"
 },
@@ -152,9 +152,9 @@
  *  GBL
  *  ===========================================================================
  */
-/* set MAR register to cache external memory 0x80000000-0x8FFFFFFF */
+/* set MAR register to cache external memory 0x80000000-0x9FFFFFFF */
 prog.module("GBL").C64PLUSCONFIGURE   = true ;
-prog.module("GBL").C64PLUSMAR128to159 = 0x0000ffff;
+prog.module("GBL").C64PLUSMAR128to159 = 0xffffffff;
 
 prog.module("GBL").ENABLEALLTRC    = false;
 prog.module("GBL").PROCID          = 0;
